[Frugalware-darcs] frugalware-current: freenx-0.5.0-1-i686

VMiklos vmiklos at frugalware.org
Fri Mar 10 21:47:08 CET 2006


[freenx-0.5.0-1-i686
VMiklos <vmiklos at frugalware.org>**20060310195959
 new package
] {
adddir ./extra/source/xapps/freenx
addfile ./extra/source/xapps/freenx/FrugalBuild
hunk ./extra/source/xapps/freenx/FrugalBuild 1
+# Last Modified: Fri, 10 Mar 2006 16:37:07 +0100
+# Compiling Time: 0.01 SBU
+# Maintainer: VMiklos <vmiklos at frugalware.org>
+
+pkgname=freenx
+pkgver=0.5.0
+realver=`echo $pkgver|sed 's/\./_/g'`
+pkgrel=1
+pkgdesc="An X11/RDP/VNC proxy server especially well suited to low bandwidth links such as ISDN or modem."
+url="http://freenx.berlios.de/"
+rodepends=('openssh' 'expect' 'netcat' 'nxproxy' 'nx-x11')
+groups=('xapps-extra')
+backup=(usr/NX/etc/passwords)
+archs=('i686')
+up2date="lynx -dump http://debian.tu-bs.de/knoppix/nx/lwe-release/|grep tar.gz$|sed 's/.*-\(.*\)-L.*/\1/;s/_/./g;q'"
+source=(http://debian.tu-bs.de/knoppix/nx/lwe-release/FreeNX-$realver-LWE.tar.gz \
+	freenx.sh)
+sha1sums=('9611f790bf7f371cdf181eac5eae35a56e096ac2' \
+	  '7ae2bd919720646c0c24f2375e82799ee66fb419')
+
+build()
+{
+	Fcd FreeNX-$realver-LWE/freenx-server
+	# don't worry, this is not gentoo specific :)
+	patch -p0 < gentoo-nomachine.diff
+	Fexerel nx{server,node,node-login,keygen,loadconfig,setup,print,client} /usr/NX/bin
+	Ffilerel /usr/NX/etc/node.conf.sample
+	touch $Fdestdir/usr/NX/etc/{passwords,passwords.orig}
+	chmod 600 $Fdestdir/usr/NX/etc/{passwords,passwords.orig}
+	Fmkdir /usr/NX/var/db/{closed,running,failed}
+	chmod 700 $Fdestdir/usr/NX/var/db/{closed,running,failed}
+	Fmkdir /usr/NX/home/nx/.ssh
+	chmod 700 $Fdestdir/usr/NX/home/nx/{,.ssh}
+	Fexe /etc/profile.d/freenx.sh
+}
addfile ./extra/source/xapps/freenx/freenx.install
hunk ./extra/source/xapps/freenx/freenx.install 1
+post_install()
+{
+	if ! grep -q '^nx:' /etc/passwd ; then
+		useradd -u 20 nx -d /usr/NX/home/nx
+	fi
+	if [ ! -e /usr/NX/etc/users.id_dsa ]; then
+		ssh-keygen -f /usr/NX/etc/users.id_dsa -t dsa -N "" -q
+	fi
+	if [ ! -e /usr/NX/home/nx/id_dsa ]; then
+		ssh-keygen -d -f /usr/NX/home/nx/id_dsa -N ""
+	fi
+	if [ ! -e /usr/NX/home/nx/.ssh/authorized_keys ]; then
+		cat /usr/NX/home/nx/id_dsa.pub > /usr/NX/home/nx/.ssh/authorized_keys
+	fi
+	chmod 600 /usr/NX/home/nx/id_dsa.pub /usr/NX/home/nx/.ssh/authorized_keys
+	chown -R nx:root /usr/NX
+}
+
+post_upgrade()
+{
+	post_install
+}
+
+post_remove()
+{
+	userdel nx
+}
+
+op=$1
+shift
+$op $*
addfile ./extra/source/xapps/freenx/freenx.sh
hunk ./extra/source/xapps/freenx/freenx.sh 1
+#!/bin/sh
+
+# (c) 2006 Miklos Vajna <vmiklos at frugalware.org>
+# freenx.sh for Frugalware
+# distributed under GPL License
+
+export PATH=$PATH:/usr/NX/bin
}


More information about the Frugalware-darcs mailing list